Bug 551724 - Review Request: php-phpmd-PHP-PMD - PHPMD - PHP Mess Detector
Summary: Review Request: php-phpmd-PHP-PMD - PHPMD - PHP Mess Detector
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christof Damian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 551722 551723
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-01 14:42 UTC by Christof Damian
Modified: 2014-11-05 11:38 UTC (History)
4 users (show)

Fixed In Version: 0.2.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:11:55 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2010-01-01 14:42:54 UTC
Spec URL: http://rpms.damian.net/SPECS/php-phpmd-PHP-PMD.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-phpmd-PHP-PMD-0.2.0-1.fc12.src.rpm
Description: <description here>

Comment 1 Christof Damian 2010-01-01 14:44:50 UTC
forgot description:

Spec URL: http://rpms.damian.net/SPECS/php-phpmd-PHP-PMD.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-phpmd-PHP-PMD-0.2.0-1.fc12.src.rpm
Description: PHPMD - PHP Mess Detector

Comment 2 Christof Damian 2010-01-12 11:22:56 UTC
new upstream release:

Spec URL: http://rpms.damian.net/SPECS/php-phpmd-PHP-PMD.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-phpmd-PHP-PMD-0.2.1-1.fc12.src.rpm
Description: PHPMD - PHP Mess Detector

Comment 3 Remi Collet 2010-01-30 17:29:46 UTC
First/quick notes

- Replace %define by %global (I have miss this on previous reviews...)
- use %{channel} in %postun
- use %{pear_datadir} instead of %{pear_phpdir}/data

All docs should be in /usr/share/doc/php-phpmd-PHP-PMD-0.2.1

Most of pear package use (what is generated by pear make-rpm-spec):

after install:
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

and in %file
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*


In fact, Guidelines need to be clearer about this, so Waiting for a reply to
http://lists.fedoraproject.org/pipermail/packaging/2010-January/006845.html

Comment 4 Remi Collet 2010-01-30 17:35:53 UTC
According to package.xml this requires dom extension
According to pci this requires libxml and SimpleXML

So, replace 
  Requires: php-common >= 5.2.0
With 
  Requires: php-xml >= 5.2.0

Comment 5 Christof Damian 2010-01-30 18:40:22 UTC
(In reply to comment #3)
> First/quick notes
> 
> - Replace %define by %global (I have miss this on previous reviews...)
> - use %{channel} in %postun
> - use %{pear_datadir} instead of %{pear_phpdir}/data

all done. I will replace the define while doing other updates on the other packages.

>
> All docs should be in /usr/share/doc/php-phpmd-PHP-PMD-0.2.1
> 
> Most of pear package use (what is generated by pear make-rpm-spec):
> 
> after install:
> mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir
> 
> and in %file
> %doc %{pear_name}-%{version}/docdir/%{pear_name}/*

That makes sense.

(In reply to comment #4)
> According to package.xml this requires dom extension
> According to pci this requires libxml and SimpleXML
> 
> So, replace 
>   Requires: php-common >= 5.2.0
> With 
>   Requires: php-xml >= 5.2.0    

I added the php-xml. 

I prefer to have the php-common requirement with the php version number and the separate requirement for php-xml, because it makes the spec file more readable. Is that ok too? Or is there a guideline to reduce the requires to a minimum?

I also upgraded to the new upstream bugfix release:

Spec URL: http://rpms.damian.net/SPECS/php-phpmd-PHP-PMD.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-phpmd-PHP-PMD-0.2.2-1.fc12.src.rpm

Comment 6 Remi Collet 2010-01-30 19:06:04 UTC
> Or is there a guideline to reduce the requires to a minimum?
Well... I don't find anything.
I think the use of minimal Requires is a good practice
(which also reduce the size of the repo metadata)

> because it makes the spec file more readable.
Ok.

Seems you have forget to upload the new files...

Comment 7 Christof Damian 2010-01-30 19:29:20 UTC
(In reply to comment #6)
> Seems you have forget to upload the new files...    

Oops, wrong server. I just moved my hosting.

Comment 8 Remi Collet 2010-01-31 07:02:58 UTC
REVIEW:

+ rpmlint is ok
php-phpmd-PHP-PMD.noarch: I: checking
php-phpmd-PHP-PMD.src: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ provided license file 
+ sources match the upstream sources
9c76d49df7137b52332267b76bb11f64  PHP_PMD-0.2.2.tgz
+ Source URL ok
+ build  on F12.x86_64
+ BuildRequires (php-pear >= 1:1.6.0, php-channel(pear.phpmd.org)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ test suite ok (can't be run during build)
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear  
/usr/bin/php  
php-channel(pear.phpmd.org)  
php-common >= 5.2.0
php-pear(pear.pdepend.org/PHP_Depend) >= 0.9.7
php-xml  
+ Final Provides ok
php-pear(pear.phpmd.org/PHP_PMD) = 0.2.2
php-phpmd-PHP-PMD = 0.2.2-1.fc8
+ Build in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=1954558
+ run ok

in %file, should use %{pear_datadir}/PHP_PMD instead of %{pear_phpdir}/data/PHP_PMD


===== APPROVED =====

Comment 9 Christof Damian 2010-01-31 09:02:04 UTC
(In reply to comment #8)
> 
> in %file, should use %{pear_datadir}/PHP_PMD instead of
> %{pear_phpdir}/data/PHP_PMD

I will change that before the import
 
> ===== APPROVED =====    

Thank you for the review.



New Package CVS Request
=======================
Package Name: php-phpmd-PHP-PMD
Short Description: PHPMD - PHP Mess Detector
Owners: cdamian
Branches: F-11 F-12
InitialCC:

Comment 10 Kevin Fenzi 2010-01-31 18:48:46 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-01-31 20:16:06 UTC
php-phpmd-PHP-PMD-0.2.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-phpmd-PHP-PMD-0.2.2-2.fc11

Comment 12 Fedora Update System 2010-01-31 20:16:52 UTC
php-phpmd-PHP-PMD-0.2.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-phpmd-PHP-PMD-0.2.2-2.fc12

Comment 13 Fedora Update System 2010-02-02 01:08:02 UTC
php-phpmd-PHP-PMD-0.2.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-02-02 01:11:51 UTC
php-phpmd-PHP-PMD-0.2.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Christof Damian 2010-07-04 11:23:42 UTC
Package Change Request
======================
Package Name: php-phpmd-PHP-PMD
New Branches: EL-6
Owners: cdamian

Comment 16 Kevin Fenzi 2010-07-05 01:42:10 UTC
CVS done (by process-cvs-requests.py).

Comment 17 Guillaume Kulakowski 2014-11-03 09:29:08 UTC
Package Change Request
======================
Package Name: php-phpmd-PHP-PMD
New Branches: EL-7
Owners: llaumgui

Comment 18 Gwyn Ciesla 2014-11-03 13:04:14 UTC
Git done (by process-git-requests).

Comment 19 Remi Collet 2014-11-04 07:01:07 UTC
Can you please check, it seems epel7 branch doesn't exist.

Comment 20 Remi Collet 2014-11-04 07:02:40 UTC
Package Change Request
======================
Package Name: php-phpmd-PHP-PMD
New Branches: epel7
Owners: llaumgui

Comment 21 Gwyn Ciesla 2014-11-05 11:38:40 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.